Subject: Re: bug#62267: grep-3.9 bug: \d matches multibyte digits

From: Jim Meyering <[email-masked]>
Date: Sun, 19 Mar 2023 13:44:37 -0700

On Sun, Mar 19, 2023 at 9:54 AM Jim Meyering <[email-masked]> wrote:
> On Sun, Mar 19, 2023 at 1:55 AM Paul Eggert <[email-masked]> wrote:
> >
> > On 2023-03-19 01:28, Paul Eggert wrote:
> > > Looking at the source code again, how about if we move the PCRE-specific
> > > changes from src/grep.c to src/pcresearch.c which is where it really
> > > belongs, and more importantly use the bleeding-edge
> > > PCRE2_EXTRA_ASCII_BSD macro if available?
> > >
> > > Something like the attached patch, say. This patch doesn't take your \D
> > > fixes (or the above suggestions) into account.
> >
> > Oops, that patch assumed match_lines. Also, it covered two topics in the
> > doc fix. I installed the obvious topic in the doc change, and removed
> > the match_lines assumption. Revised patch attached; please ignore the
> > patch of a half-hour ago.
>
> Thanks. It definitely belongs in pcresearch.c.
> You're welcome to push that (or I will soon).
> I've rebased my changes on top of it and am adding tests.

I've pushed your change along with the attached.
I'll probably create another snapshot today.